org.modeshape.jdbc.metadata

## Interface JDBCColumnNames.REFERENCE_KEYS_INFO

- Enclosing interface:
    JDBCColumnNames

      public static interface JDBCColumnNames.REFERENCE_KEYS_INFO

  This class contains constants representing column names on ResultSet returned by getImportedKeys method on DatabaseMetaData. These constant values are be used to hard code the column names used in construction the ResultSet obj.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFERRABILITY`
    `static String` | `DELETE_RULE`
    `static String` | `FK_COLUMN_NAME`
    `static String` | `FK_NAME`
    `static String` | `FK_TABLE_CAT`
    `static String` | `FK_TABLE_NAME`
    `static String` | `FK_TABLE_SCHEM`
    `static String` | `KEY_SEQ`
    `static String` | `PK_COLUMN_NAME`
    `static String` | `PK_NAME`
    `static String` | `PK_TABLE_CAT`
    `static String` | `PK_TABLE_NAME`
    `static String` | `PK_TABLE_SCHEM`
    `static String` | `UPDATE_RULE`

- - ### Field Detail

    - #### PK_TABLE_CAT

          static final String PK_TABLE_CAT

      See Also:
        Constant Field Values

    - #### PK_TABLE_SCHEM

          static final String PK_TABLE_SCHEM

      See Also:
        Constant Field Values

    - #### PK_TABLE_NAME

          static final String PK_TABLE_NAME

      See Also:
        Constant Field Values

    - #### PK_COLUMN_NAME

          static final String PK_COLUMN_NAME

      See Also:
        Constant Field Values

    - #### FK_TABLE_CAT

          static final String FK_TABLE_CAT

      See Also:
        Constant Field Values

    - #### FK_TABLE_SCHEM

          static final String FK_TABLE_SCHEM

      See Also:
        Constant Field Values

    - #### FK_TABLE_NAME

          static final String FK_TABLE_NAME

      See Also:
        Constant Field Values

    - #### FK_COLUMN_NAME

          static final String FK_COLUMN_NAME

      See Also:
        Constant Field Values

    - #### KEY_SEQ

          static final String KEY_SEQ

      See Also:
        Constant Field Values

    - #### UPDATE_RULE

          static final String UPDATE_RULE

      See Also:
        Constant Field Values

    - #### DELETE_RULE

          static final String DELETE_RULE

      See Also:
        Constant Field Values

    - #### FK_NAME

          static final String FK_NAME

      See Also:
        Constant Field Values

    - #### PK_NAME

          static final String PK_NAME

      See Also:
        Constant Field Values

    - #### DEFERRABILITY

          static final String DEFERRABILITY

      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.